DKBSignDocs

API reference

POSTRequires Bearer token

Revoke a company external identity

/api/v1/companies/{company}/external-identities/{identity}/revoke

Company-admin.

Path parameters

FieldTypeDescription
company
Required
stringPath parameter company.
identity
Required
stringPath parameter identity.

Query parameters

This endpoint has no query parameters.

Request body

FieldTypeDescription
reason
Required
stringRevocation reason (required, max 500).
e.g. "Left the organisation"

Responses

StatusMeaning
200Identity revoked
401Missing or invalid Bearer token.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/v1/companies/company/external-identities/uuid_or_id/revoke' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"reason":"Left the organisation"}'

Response 200

json
{
  "status": "success",
  "message": "Identity revoked"
}